<?php
/*$src = 'js/myjs.js';
$out = 'js/myjs.min.js';
require 'class.JavaScriptPacker.php';

$script = file_get_contents($src);

$t1 = microtime(true);

$packer = new JavaScriptPacker($script, 'Normal', true, false);
$packed = $packer->pack();

$t2 = microtime(true);
$time = sprintf('%.4f', ($t2 - $t1) );
//echo 'script ', $src, ' packed in ' , $out, ', in ', $time, ' s.', "\n";
file_put_contents($out, $packed);
*/
require 'class.JavaScriptPacker.php';
/**
  * 在线压缩js函数
  * @param string $src 压缩文件路径，项目下的相对路径
  * @param string $packerPath 压缩后的新文件名，项目下的相对路径，可以为空
  * @return string $packerPath
  * autor：yuzhonghe113@126.com
  */

function jsPacker($src,$packerPath=""){
	//$path=dirname(__FILE__);
	if(!file_exists($src)) exit("File Is Not Exist");
	$fileName=basename($src,'.js');//文件名
	$filePath=dirname($src);//文件路径
	if(empty($packerPath)){
		$packerPath=$filePath."/".$fileName.".min.js";//压缩后的新文件名
	}
	//print_R(filemtime($packerPath)."|".filemtime($src));exit;
	if(file_exists($packerPath)&& filemtime($packerPath)>filemtime($src)){
		return $packerPath;
	}else{
		$script = file_get_contents($src);
		//$t1 = microtime(true);
		$packer = new JavaScriptPacker($script, 'Normal', true, false);
		$packed = $packer->pack();
		//$t2 = microtime(true);
		//$time = sprintf('%.4f', ($t2 - $t1) );
		//echo 'script ', $src, ' packed in ' , $out, ', in ', $time, ' s.', "\n";
		file_put_contents($packerPath, $packed);
	}
	return $packerPath;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>Lazy Load Enabled</title>
  <meta name="generator" content="Mephisto" />
  <!--<link rel="alternate" type="application/atom+xml" href="http://feeds.feedburner.com/tuupola" title="Atom feed" />
  <link href="http://www.appelsiini.net/stylesheets/main2.css" rel="stylesheet" type="text/css" />-->
  <script type="text/javascript" src="<?php echo jsPacker("js/myjs.js");?>"></script>
  <style type="text/css">
  	#sidebar {width: 0px;}
 	 #content {width: 770px;}
  </style>
</head>
<body>
  <script type="text/javascript" charset="utf-8">
      Ftest();
  </script>
</body>
</html>
